Reverting to PHP4


#1

I need php4 for a testing site. I’m currently showing version 5.2.6 (http://www.findmyshops.com/phpversion.php)

What do I need to put in my htaccess file in order to force “php” extensions to use php4?

I’ve tried “AddType application/x-httpd-php4 .php .htm .html” but it isn’t working or there is a lag.

Thank you in advance.


#2

PHP4 is officially “end of life” by PHP, and is deprecated here at DreamHost. There is no way, at present, to set a domain to run PHP4 on DreamHost other than to compile your own PHP4 PHP-CGI.

http://www.dreamhoststatus.com/2008/08/22/php4-will-no-longer-be-available-for-new-domains-starting-082608/

Old domains that had PHP4 active we left grandfathered for a bit, but once a domain is set to PHP5, it cannot be reverted.

The old workaround of using mod_php PHP4 via an .htaccess directive is now no longer working either. As servers have been upgraded, mod_php has been removed altogether.

It is, quite simply, time to say “Goodbye” to PHP4.

–rlparker
–DreamHost Tech Support


#3

Gotcha and thanks so much for the quick reply.

Now if everyone on the planet would please upgrade to php5 I can move forward with development, OK? :slight_smile:


#4

If it’s a necessity for development then, as Robert has pointed out, you can compile your own PHP4 CGI.

Maximum Cash Discount on any plan with MAXCASH

How To Install PHP.INI / ionCube on DreamHost